Probem błąd przetwarzania...

  • 13 replies
  • 3964 views
*

piko17

Probem błąd przetwarzania...
« dnia: Kwiecień 29, 2014, 22:54:27 pm »
Wita. mam taki problem i nie wiem jak sobie z tym poradzic. pomożecie? :)

pi@raspberrypi ~ $ sudo dpkg --configure -a
Konfigurowanie pakietu pulseaudio (2.0-6.1) ...
[....] Starting system PulseAudio Daemon:invoke-rc.d: initscript pulseaudio, action "start" failed.
dpkg: błąd przetwarzania pulseaudio (--configure):
 podproces zainstalowany skrypt post-installation zwrócił kod błędu 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu pulseaudio-module-x11:
 pulseaudio-module-x11 zależy od pulseaudio; jednakże:
  Pakiet pulseaudio nie jest jeszcze skonfigurowany.



dpkg: błąd przetwarzania pulseaudio-module-x11 (--configure):
 problemy z zależnościami - pozostawianie nieskonfigurowanego
Wystąpiły błędy podczas przetwarzania:
 pulseaudio
 pulseaudio-module-x11

Proszę używać tagów Code.
« Ostatnia zmiana: Maj 01, 2014, 19:14:04 pm wysłana przez szymon1978 »

*

Offline mati75

  • Rodzina Linux Mint
  • *******
  • 2392
  • 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Probem błąd przetwarzania...
« Odpowiedź #1 dnia: Kwiecień 30, 2014, 14:50:33 pm »
sudo apt-get install -f
Dodatkowo: Po co Ci pulseaudio na raspberry pi?

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

*

piko17

Odp: Probem błąd przetwarzania...
« Odpowiedź #2 dnia: Kwiecień 30, 2014, 20:25:16 pm »
Nadal to samo.

pi@raspberrypi ~ $ sudo apt-get install -f
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 1 nieaktualizowanych.
2 nie w pełni zainstalowanych lub usuniętych.
Po tej operacji zostanie dodatkowo użyte 0 B miejsca na dysku.
Konfigurowanie pakietu pulseaudio (2.0-6.1) ...
[....] Starting system PulseAudio Daemon:invoke-rc.d: initscript pulseaudio, action "start" failed.
dpkg: błąd przetwarzania pulseaudio (--configure):
 podproces zainstalowany skrypt post-installation zwrócił kod błędu 1
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu pulseaudio-module-x11:
 pulseaudio-module-x11 zależy od pulseaudio; jednakże:
  Pakiet pulseaudio nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania pulseaudio-module-x11 (--configure):
 problemy z zależnościami - pozostawianie nieskonfigurowanego
Wystąpiły błędy podczas przetwarzania:
 pulseaudio
 pulseaudio-module-x11
E: Sub-process /usr/bin/dpkg returned an error code (1)


może to ma związek z tym że już kiedyś instalowałem puseaudio?


Do raspberry mam podłączony wzmacniacz i dzwięk przesyłam do malinki poprzez UPnP i właśnie pulseaudio jest jednym ze składników żeby to wszystko działało.
Pozdrawiam.
« Ostatnia zmiana: Maj 01, 2014, 09:28:26 am wysłana przez piko17 »

*

Offline mati75

  • Rodzina Linux Mint
  • *******
  • 2392
  • 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Probem błąd przetwarzania...
« Odpowiedź #3 dnia: Maj 01, 2014, 17:46:42 pm »
Trochę inaczej spróbujemy:
sudo killall -9 pulseaudio
sudo /etc/init.d/pulseaudio stop
sudo apt-get update
sudo apt-get install pulseaudio pulseaudio-module-x11

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

*

piko17

Odp: Probem błąd przetwarzania...
« Odpowiedź #4 dnia: Maj 01, 2014, 20:23:29 pm »
pi@raspberrypi ~ $ sudo killall -9 pulseaudio
pulseaudio: nie znaleziono żadnego procesu
pi@raspberrypi ~ $ sudo /etc/init.d/pulseaudio stop
[....] Stopping system PulseAudio Daemon:No process in pidfile '/var/run/pulse/pid' found running; none killed.
[ ok ich is not running.

Niestety nie pomogło. Jakieś inne pomysły?
« Ostatnia zmiana: Maj 01, 2014, 21:03:07 pm wysłana przez szymon1978 »

*

Offline Ulvhedin

  • *******
  • 1669
  • 1199
  • Płeć: Mężczyzna
Odp: Probem błąd przetwarzania...
« Odpowiedź #5 dnia: Maj 01, 2014, 22:15:21 pm »
piko17:
http://www.raspberrypi.org/forums/viewtopic.php?f=38&t=11124
Daj wynik:
sudo apt-get install pastebinit
dmesg|pastebinit
lsmod|pastebinit
ps aux|pastebinit

Wklej linki.

ps. oczywiscie to wszystko na RPi.


*

Offline Ulvhedin

  • *******
  • 1669
  • 1199
  • Płeć: Mężczyzna
Odp: Probem błąd przetwarzania...
« Odpowiedź #7 dnia: Maj 03, 2014, 13:54:37 pm »
ok, daj mi chwilke... przetestuje to z ciekawości na swoim RPi.

*

piko17

Odp: Probem błąd przetwarzania...
« Odpowiedź #8 dnia: Maj 03, 2014, 15:29:20 pm »
Ok.
Tak jak pisałem wcześniej wedlug mnie to jest przez to że już kiedyś instalowałem pulseaudio, tylko nie wiem co zepsułem że teraz się nie da.

*

Offline Ulvhedin

  • *******
  • 1669
  • 1199
  • Płeć: Mężczyzna
Odp: Probem błąd przetwarzania...
« Odpowiedź #9 dnia: Maj 03, 2014, 16:41:52 pm »
czekaj, właściwie to co Ty chcesz osiągnąć?
Odpal pulseaudio z palca i zobacz co wypluje Ci.

*

piko17

Odp: Probem błąd przetwarzania...
« Odpowiedź #10 dnia: Maj 04, 2014, 12:51:06 pm »
Dzięki wszystkim za pomoc, już rowiązałem swój problem bez pulseaudio.
Mam jeszcze pytanie jak oczyścić taki system ze zbędnych śmieci o których nawet nie wiem?

*

Offline mati75

  • Rodzina Linux Mint
  • *******
  • 2392
  • 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Probem błąd przetwarzania...
« Odpowiedź #11 dnia: Maj 04, 2014, 14:01:55 pm »
Usuń nie potrzebne pakiety, których nie używasz.

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

*

piko17

Odp: Probem błąd przetwarzania...
« Odpowiedź #12 dnia: Maj 04, 2014, 18:37:33 pm »
A jak sprawdzić które są niepotrzebne?

*

Offline mati75

  • Rodzina Linux Mint
  • *******
  • 2392
  • 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: Probem błąd przetwarzania...
« Odpowiedź #13 dnia: Maj 04, 2014, 20:10:35 pm »
sudo apt-get install deborphan
deborphan
deborphan -a
wygeneruje Ci listę pakietów osieroconych i nie potrzebnych

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!